use clap::Parser;
use meka::Meka;
use meka::args::MekaArgs;
use std::process::exit;

fn main() {
    let args = MekaArgs::parse();
    if let Err(e) = Meka::run_from_args(args) {
        eprintln!("Error: {e}");
        exit(1);
    }
}
